{% extends "bootstrap/base.html" %}
{% block title %}{{ title }}{% endblock %}
{% block styles %}
{{ super() }}
<link rel="stylesheet" href="{{ url_for('static', filename='home.css') }}" />
{% endblock %}

{% block navbar %}
<!-- header -->
<nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
  <a class="navbar-brand" href="{{url_for('home')}}">Rock DB</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault"
    aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarsExampleDefault">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" href="{{url_for('home')}}">Home <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="dropdown01" data-toggle="dropdown" aria-haspopup="true"
          aria-expanded="false">Albums</a>
        <div class="dropdown-menu" aria-labelledby="dropdown01">
          <a class="dropdown-item" href="{{ url_for('albums')}}">Tous les albums</a>
          <a class="dropdown-item" href="{{ url_for('edit_album')}}">Ajouter</a>
        </div>
      </li>
      <li class="nav-item dropdown">
        <a class="nav-link dropdown-toggle" href="#" id="dropdown01" data-toggle="dropdown" aria-haspopup="true"
          aria-expanded="false">Artistes</a>
        <div class="dropdown-menu" aria-labelledby="dropdown01">
          <a class="dropdown-item" href="{{ url_for('artists')}}">Tous les artistes</a>
          <a class="dropdown-item" href="{{ url_for('edit_artist')}}">Ajouter</a>
        </div>
      </li>
    </ul>
    <a class="btn btn-primary" href="{{url_for('login')}}" role="button">Se connecter</a>
  </div>
</nav>
{% endblock %}

<!-- contenu des pages -->
{% block content %}
<main id="main" role="main" class="container">
  <h1 class="mb-4">{{title}}</h1>
  {% block main %}
  {% endblock %}
</main>

<hr>
{% block footer %}
<!-- Footer -->
<footer class="page-footer font-small stylish-color-dark bg-secondary pt-4">

  <!-- Footer Links -->
  <div class="container text-center text-md-left">

    <!-- Grid row -->
    <div class="row">

      <!-- Grid column -->
      <div class="col-md-3 col-lg-3 col-xl-3 mx-auto mb-4"">

        <!-- Content -->
        <h6 class="text-uppercase font-weight-bold">Projet Rockdb</h6>
        <hr class="deep-purple accent-2 mb-2 mt-0 d-inline-block mx-auto" style="width: 60px;">
        <p>Bienvenue sur le <br> projet Rockdb !</p>

      </div>
      <!-- Grid column -->

      <!-- Grid column -->
      <div class="col-md-3 col-lg-3 col-xl-3 mx-auto mb-4">

        <!-- Links -->
        <h6 class="text-uppercase font-weight-bold">Créateurs</h6>
        <hr class="deep-purple accent-2 mb-2 mt-0 d-inline-block mx-auto" style="width: 60px;">
        <p>
          <i class="fas fa-star mr-2"></i> Alfred Regneau</p>
        <hr>
        <p>
          <i class="fas fa-user mr-2"></i> Kevin Georget</p>
        <hr>
        <p>
          <i class="fas fa-user-secret mr-2"></i> Erwan Carneiro</p>

      </div>
      <!-- Grid column -->

      <!-- Grid column -->
      <div class="col-md-3 col-lg-3 col-xl-4 mx-auto mb-md-0 mb-4">

        <!-- Links -->
        <h6 class="text-uppercase font-weight-bold">Emails</h6>
        <hr class="deep-purple accent-2 mb-2 mt-0 d-inline-block mx-auto" style="width: 60px;">
        <p>
          <i class="fas fa-envelope mr-2"></i> alfred.regneau@etu.univ-orleans.fr</p>
	<hr>
        <p>
          <i class="fas fa-envelope mr-2"></i> kevin.georget@etu.univ-orleans.fr</p>
	<hr>
        <p>
          <i class="fas fa-envelope mr-2"></i> erwan.carneiro@etu.univ-orleans.fr</p>

      </div>
      <!-- Grid column -->

    </div>
    <!-- Grid row -->

  </div>
  <!-- Footer Links -->

  <hr>

  <!-- Social buttons -->
  <ul class="list-unstyled list-inline text-center">
    <li class="list-inline-item">
      <a class="btn-floating btn-fb mx-1 text-decoration-none text-dark" href="#">
        <i class="fab fa-facebook-f"> </i>
      </a>
    </li>
    <li class="list-inline-item">
      <a class="btn-floating btn-tw mx-1 text-decoration-none text-dark" href="#">
        <i class="fab fa-twitter"> </i>
      </a>
    </li>
    <li class="list-inline-item">
      <a class="btn-floating btn-gitlab mx-1 text-decoration-none text-dark" href="https://gitlab.com/alfred.regneau/projet-flask-rockdb">
        <i class="fab fa-gitlab text-decoration-none"> </i>
      </a>
    </li>
    <li class="list-inline-item">
      <a class="btn-floating btn-github mx-1 text-decoration-none text-dark" href="#">
        <i class="fab fa-github"> </i>
      </a>
    </li>
    <li class="list-inline-item">
      <a class="btn-floating btn-google-plus mx-1 text-decoration-none text-dark" href="#">
        <i class="fab fa-google-plus"> </i>
      </a>
    </li>
  </ul>
  <!-- Social buttons -->

  <!-- Copyright -->
  <div class="footer-copyright text-center py-3">© 2019-2020 Copyright:
    <a class="text-decoration-none text-dark" href="{{url_for('home')}}"> RockDB</a>
  </div>
  <!-- Copyright -->

</footer>
<!-- Footer -->
{% endblock %}


{% endblock %}
